query fundTreasury($id: ID!, $block: Block_height){
    fundTreasury(id: $id, block: $block){
        id
        amount
        treasuryBalance
        blockNumber
        blockTimestamp
        transactionHash
    }
}